You need to enable JavaScript to run this app.
Lake AI Service

Lake AI Service

Copy page
Download PDF
Video generation
Seedance video generation (Doubao series)
Copy page
Download PDF
Seedance video generation (Doubao series)

Operator introduction

Description

Seedance is the latest foundational video generation model launched by the ByteDance Doubao large model team. It can quickly generate high-quality video clips based on user input such as text, images, and more.

Limitations

  • Currently, only text-to-video and image-to-video are supported.
  • Adjusting the frame count is not supported.
  • Video generation is provided as an asynchronous interface. You need to first create a video generation task, and then query the video generation result using the task ID.

Key features

  • Video generation

Caution and prerequisites

Details

Caution and prerequisites

Costs

Before calling an operator, you need to understand the model invocation costs associated with using the operator. For details, see Large model invocation billing.

Authentication (API Key)

Before calling an operator, you need to generate an API Key for operator invocation. It is recommended to configure the API Key as an environment variable to ensure safer operator calls. For details, see Obtain and configure API Key.

BaseURL

Before calling an operator, you need to determine the BaseURL for operator invocation based on the region where your current LAS service is deployed. This is used to configure the path parameter values for operator calls.
For details, see Obtain the Base URL. The Examples below are for reference only; when making actual calls, replace the path values with those corresponding to your region.

API call

Generate

POST https://operator.las.ap-southeast-1.volces.com/api/v1/contents/generations/tasks

Interface description

Call the Seedance model to generate videos.

Request parameters

Parameter

Type

Required

Example value

Description

model

string

Yes

doubao-seedance-1-5-pro-251215

The ID of the model you need to call (Model ID). Supported:

  • doubao-seedance-1-5-pro-251215,
  • doubao-seedance-1-0-pro-fast-251015
  • doubao-seedance-1-0-pro-250528,
  • doubao-seedance-1-0-lite-t2v-250428
  • doubao-seedance-1-0-lite-i2v-250428

content

list of object

Yes

Information provided to the model for video generation. Supports text information, image information, and sample video information. Reference
Refer to the content parameter in the .

callback_url

string

No

http://xxx/callback

Enter the callback notification address for the result of this generation task. When the status of a video generation task changes, ModelArk will send a POST request to this address.

  • The structure of the callback request content is consistent with the response body of the task query API.
  • The status returned in the callback includes the following states:
    • queued: In queue.
    • running: Task is running.
    • succeeded: Task succeeded.
    • failed: Task failed. (If sending fails, that is, if no confirmation of successful delivery is received within 5 seconds, the callback will be sent three times.)
    • expired: Task timed out, meaning the task remains in running or queued status beyond the expiration time. The expiration time can be set via the execution_expires_after field.

return_last_frame

boolean

No

false

Whether to return the last frame image of the video. The default value is false.

  • true: Returns the last frame image of the generated video. After setting to true, you can obtain the last frame image of the video via the video generation task query interface.
    • The format of the final frame image is png, and its width, height, and pixel values are consistent with the generated video, with no watermark.
    • This parameter enables the generation of multiple consecutive videos: the final frame of the previously generated video is used as the first frame of the next video task, allowing for rapid generation of multiple consecutive videos.
  • false: Does not return the final frame image of the generated video.

execution_expires_after

integer

No

172800

Task timeout threshold. Specifies the expiration time after task submission (unit: seconds), calculated from the created at timestamp. The default value is 172800 seconds, which is 48 hours. Value range: [3600, 259200]

generate_audio

boolean

No

true

The default is true, which controls whether the generated video includes audio synchronized with the visuals.

warning

Only doubao-seedance 1.5 pro is supported.

  • true: The model outputs a video with synchronized audio.doubao-seed ance 1.5 pro can automatically generate matching vocals, sound effects, and background music based on text prompts and visual content.
    • It is recommended to enclose dialogue sections in double quotation marks to optimize audio generation quality.
    • For example: A man stops a woman and says, "Remember, you must not point at the moon with your finger in the future."
  • false: The model outputs a silent video.

draft

boolean

No

The default is false, which controls whether sample mode is enabled.

resolution

string

No

720p

Video resolution, enumerated values:

  • 480p
  • 720p
  • 1080p: Not supported in reference image scenarios

warning

  • doubao-seedance 1.5 pro, doubao-seedance 1.0 lite default value 720p
  • doubao-seedance 1.0 pro & pro-fast default value: 1080p

ratio

string

No

16:9

The aspect ratio of the generated video.

  • 16:9
  • 4:3
  • 1:1
  • 3:4
  • 9:16
  • 21:9 - adaptive: Automatically selects the most suitable aspect ratio based on the input.

tip

  • Text-to-video: Default 16:9 (doubao-seedance 1.5 Pro default value is adaptive)
  • Image-and-text video: Default value adaptive (Reference default value for image-and-text video scenarios is 16:9)

duration

integer

No

5

Either duration or frames can be specified; frames take precedence over duration. To generate a video with an integer number of seconds, it is recommended to specify duration.

The duration of the generated video, in seconds. Supports 2–12 seconds.

frames

integer

No

doubao-seedance 1.5 pro is not supported yet. Either duration or frames can be specified; frames take precedence over duration. To generate a video with fractional seconds, it is recommended to specify frames.

The number of frames in the generated video. By specifying the number of frames, you can flexibly control the length of the generated video and create videos with fractional seconds.
Due to the value restrictions for frames, only a limited range of fractional seconds is supported. You need to calculate the closest number of frames using the formula.

  • Calculation formula: Number of frames = duration × frame rate (24).
  • Value range: All integer values in the interval [29, 289] that meet the 25 + 4n format are supported, where n is a positive integer.

seed

integer

No

-1

Seed integer used to control the randomness of the generated content. Value range: integer between [-1, 2^32-1].

camera_fixed

boolean

No

false

Reference image scenarios are not supported.

Whether to fix the camera. Enumeration values:

  • true: Fixed camera. The platform will append "fixed camera" to the user's prompt, but the actual effect is not guaranteed.
  • false: The camera is not fixed.

The default value is false.

watermark

boolean

No

false

Whether the generated video contains a watermark. Enumeration values:

  • false: No watermark.
  • true: Contains watermark.

Response parameters

Parameter

Type

Description

id

string

Task ID

Example

Request example

curl --location "https://operator.las.cn-beijing.volces.com/api/v1/contents/generations/tasks" \
--header "Content-Type: application/json" \
--header "Authorization: Bearer $LAS_API_KEY" \
--data '{
    "model": "doubao-seedance-1-0-pro-250528",
    "content": [
        {
            "type": "text",
            "text": ""
        }
    ],
    "ratio": "16:9",
    "duration": 5,
    "watermark": false
}'

Response example

{
    "id": "cgt-20251125163544-qrj4f"
}

Task

GET https://operator.las.ap-southeast-1.volces.com/api/v1/contents/generations/tasks/{id}

Interface description

Query the status of a video generation task.

Request parameters

Parameter

Type

Required

Example value

Description

id

string

Yes

cgt-2025******-****

The ID of the video generation task you need to query.
This request parameter is a query string parameter and is passed in the URL string.

Response parameters

Parameter
Type
Example value
Description
id
string
cgt-2025******-****
Video generation task ID
model
string
Model name and version used for the task, model name-version
status
string
succeeded
Model status and related information:
  • queued: In queue.
  • running: Task is running.
  • cancelled: Task cancelled. Cancelled status will be automatically deleted after 24h (only tasks in the queue can be cancelled).
  • succeeded: Task succeeded.
  • failed: Task failed.
  • expired: Task timed out.
error
error
Error message. Returns null when the task succeeds; returns error data when the task fails. For details, see .
created_at
integer
1764059744
Creation time
updated_at
integer
1764059744
Update time
content
content
Output content of the video generation task.
seed
integer
1345
Seed integer value used for this request.
resolution
string
1080p
Resolution of the generated video.
ratio
string
9:16
Aspect ratio of the generated video.
duration
integer
10
Duration of the generated video, unit: seconds.
Note: Only one of the duration or frames parameters will be returned. If frames are not specified when creating a video generation task, duration will be returned.
frames
integer
The number of frames generated for the video.
Note: Only one of the duration or frames parameters will be returned. If frames are specified when creating a video generation task, frames will be returned.
framespersecond
integer
30
Frame rate of the generated video.
generate_audio
boolean
false
Whether the generated video contains audio synchronized with the visuals. This parameter is only returned by Seedance 1.5 pro.
  • true: The video output by the model contains synchronized audio.
  • false: The video output by the model is silent.
draft
boolean
false
Whether the generated video is a Draft video. This parameter is only returned by Seedance 1.5 pro.
  • true: Indicates that the current output is a Draft video.
  • false: Indicates that the current output is a normal video.
draft_task_id
string
Draft video task ID. This parameter will be returned when generating a formal video based on a Draft video.
execution_expires_after
integer
Task timeout threshold, unit: seconds.
usage
token_usage
Token usage for video generation

Example

Request example

curl --location "https://operator.las.cn-beijing.volces.com/api/v1/contents/generations/tasks/cgt-xxxxxx" \
--header "Content-Type: application/json" \
--header "Authorization: Bearer $LAS_API_KEY"

Response example

{
    "framesPerSecond": 24,
    "id": "cgt-20251119202422-jcfm2",
    "model": "doubao-seedance-1-0-pro-250528",
    "status": "succeeded",
    "content": {
        "video_url": "https://ark-content-generation-cn-beijing.tos-cn-beijing.volces.com/xxx.mp4",
        "last_frame_url": "https://ark-content-generation-cn-beijing.tos-cn-beijing.volces.com/xxx.png",
        "file_url": null
    },
    "usage": {
        "completion_tokens": 295800
    },
    "frames": 145,
    "framespersecond": 24,
    "created_at": 1763555062,
    "updated_at": 1763555155,
    "seed": 655,
    "ratio": "9:16",
    "resolution": "1080p"
}

Error codes

HttpCode

Error code

Error message

Description

401

ApiKey.Invalid

The api key is invalid.

API is not valid

Last updated: 2026.05.24 15:14:53